Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi.impl
Class TScopeRefImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.pmapi.impl.TScopeRefImpl

All Implemented Interfaces:
  java.io.Serializable, TScopeRef, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

    public class TScopeRefImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TScopeRef

An XML tScopeRef(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TScopeRef
`TScopeRef.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.pmapi.TScopeRef
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TScopeRefImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`java.lang.String` | `getModelId()` Gets the "modelId" attribute
`java.lang.String` | `getName()` Gets the "name" attribute
`java.lang.String` | `getSiid()` Gets the "siid" attribute
`TScopeStatus.Enum` | `getStatus()` Gets the "status" attribute
`boolean` | `isSetName()` True if has "name" attribute
`void` | `setModelId(java.lang.String modelId)` Sets the "modelId" attribute
`void` | `setName(java.lang.String name)` Sets the "name" attribute
`void` | `setSiid(java.lang.String siid)` Sets the "siid" attribute
`void` | `setStatus(TScopeStatus.Enum status)` Sets the "status" attribute
`void` | `unsetName()` Unsets the "name" attribute
`org.apache.xmlbeans.XmlString` | `xgetModelId()` Gets (as xml) the "modelId" attribute
`org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" attribute
`org.apache.xmlbeans.XmlString` | `xgetSiid()` Gets (as xml) the "siid" attribute
`TScopeStatus` | `xgetStatus()` Gets (as xml) the "status" attribute
`void` | `xsetModelId(org.apache.xmlbeans.XmlString modelId)` Sets (as xml) the "modelId" attribute
`void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" attribute
`void` | `xsetSiid(org.apache.xmlbeans.XmlString siid)` Sets (as xml) the "siid" attribute
`void` | `xsetStatus(TScopeStatus status)` Sets (as xml) the "status" attribute

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TScopeRefImpl

    public TScopeRefImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getSiid

    public java.lang.String getSiid()

  Gets the "siid" attribute

  Specified by:
    `getSiid` in interface `TScopeRef`

### xgetSiid

    public org.apache.xmlbeans.XmlString xgetSiid()

  Gets (as xml) the "siid" attribute

  Specified by:
    `xgetSiid` in interface `TScopeRef`

### setSiid

    public void setSiid(java.lang.String siid)

  Sets the "siid" attribute

  Specified by:
    `setSiid` in interface `TScopeRef`

### xsetSiid

    public void xsetSiid(org.apache.xmlbeans.XmlString siid)

  Sets (as xml) the "siid" attribute

  Specified by:
    `xsetSiid` in interface `TScopeRef`

### getName

    public java.lang.String getName()

  Gets the "name" attribute

  Specified by:
    `getName` in interface `TScopeRef`

### xgetName

    public org.apache.xmlbeans.XmlString xgetName()

  Gets (as xml) the "name" attribute

  Specified by:
    `xgetName` in interface `TScopeRef`

### isSetName

    public boolean isSetName()

  True if has "name" attribute

  Specified by:
    `isSetName` in interface `TScopeRef`

### setName

    public void setName(java.lang.String name)

  Sets the "name" attribute

  Specified by:
    `setName` in interface `TScopeRef`

### xsetName

    public void xsetName(org.apache.xmlbeans.XmlString name)

  Sets (as xml) the "name" attribute

  Specified by:
    `xsetName` in interface `TScopeRef`

### unsetName

    public void unsetName()

  Unsets the "name" attribute

  Specified by:
    `unsetName` in interface `TScopeRef`

### getModelId

    public java.lang.String getModelId()

  Gets the "modelId" attribute

  Specified by:
    `getModelId` in interface `TScopeRef`

### xgetModelId

    public org.apache.xmlbeans.XmlString xgetModelId()

  Gets (as xml) the "modelId" attribute

  Specified by:
    `xgetModelId` in interface `TScopeRef`

### setModelId

    public void setModelId(java.lang.String modelId)

  Sets the "modelId" attribute

  Specified by:
    `setModelId` in interface `TScopeRef`

### xsetModelId

    public void xsetModelId(org.apache.xmlbeans.XmlString modelId)

  Sets (as xml) the "modelId" attribute

  Specified by:
    `xsetModelId` in interface `TScopeRef`

### getStatus

    public TScopeStatus.Enum getStatus()

  Gets the "status" attribute

  Specified by:
    `getStatus` in interface `TScopeRef`

### xgetStatus

    public TScopeStatus xgetStatus()

  Gets (as xml) the "status" attribute

  Specified by:
    `xgetStatus` in interface `TScopeRef`

### setStatus

    public void setStatus(TScopeStatus.Enum status)

  Sets the "status" attribute

  Specified by:
    `setStatus` in interface `TScopeRef`

### xsetStatus

    public void xsetStatus(TScopeStatus status)

  Sets (as xml) the "status" attribute

  Specified by:
    `xsetStatus` in interface `TScopeRef`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD